$(function () {
    //删除在线通讯
    $("a[rel='del']").click(function () {
        var $delObject = $(this);

        if (confirm("确定删除在线通讯 [ " + $delObject.attr("name") + " ] 吗？")) {
            $.ajax({
                type: "POST",
                url: "Ajax/OnlineTools.ashx",
                data: { 'com': 'del', 'id': $delObject.attr("href"), 'name': $delObject.attr("name") },
                datatype: "json",
                beforeSend: function (data, textStatus) {
                    showMsg("[ " + $delObject.attr("name") + " ] 正在删除中 ", true);
                },
                success: function (data, textStatus) {
                    if (data == "1") {
                        $delObject.parent().parent("tr").remove();
                    } else {
                        alert("删除失败!");
                    }
                    showMsg("", false);
                },
                error: function (e) { alert("连接失败,请向Eoyoo官方技术人员反馈!"); }
            })
        }
        return false;
    });
    //移动链接位置
    $("a[rel='shift']").click(function () {
        //当前对象
        var $object = $(this).attr("href").split('-');
        $.ajax({
            type: "POST",
            url: "Ajax/OnlineTools.ashx",
            data: { 'com': $object[0], 'objectid': $object[1], 'orderid': $object[2] },
            datatype: "json",
            beforeSend: function (data, textStatus) {
                showMsg("正在移动中 ", true);
            },
            success: function (data, textStatus) {
                switch (data) {
                    case "0":
                        alert("更新失败");
                        break;
                    case "1":
                        location.reload();
                        break;
                    case "2":
                        if ($object[0] == "upwardproductclass") {
                            alert("已经是最上了!");
                        } else {
                            alert("已经是最下了!");
                        }
                        break;
                }
                showMsg("", false);
            },
            error: function (e) { alert("连接失败,请向Eoyoo官方技术人员反馈!"); }
        })
        return false;
    });
})